Update a compensation
curl --request PUT \
--url https://api-{region}.sesametime.com/contract/v1/compensations/{compensationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"comment": "<string>"
}
'import requests
url = "https://api-{region}.sesametime.com/contract/v1/compensations/{compensationId}"
payload = {
"name": "<string>",
"code": "<string>",
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', code: '<string>', comment: '<string>'})
};
fetch('https://api-{region}.sesametime.com/contract/v1/compensations/{compensationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Comision por ventas",
"quantity": 1500,
"percentage": 10.5,
"currency": "MXN",
"recurrence": 1,
"code": "<string>",
"comment": "<string>",
"createdAt": "2020-01-01T10:00:00+01:00",
"updatedAt": "2020-01-01T10:00:00+01:00"
},
"meta": {
"currentPage": 1,
"lastPage": 1,
"total": 1,
"perPage": 1
}
}{
"message": "Validation failed",
"errors": [
{
"field": "questionId",
"message": "This value is not a valid UUID."
},
{
"field": "answer",
"message": "This field is required for text-based questions."
}
]
}{
"message": "Invalid or missing API Key",
"code": "UNAUTHORIZED"
}{
"message": "Evaluation with ID 123e4567-e89b-12d3-a456-426614174000 was not found",
"code": "EVALUATION_NOT_FOUND"
}Compensations
Update a compensation
Updates an existing compensation. Only name, status, code and comment can be updated.
PUT
/
contract
/
v1
/
compensations
/
{compensationId}
Update a compensation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The compensation ID
Body
application/json
Was this page helpful?
⌘I